var _excluded = ["portal", "title", "arrow", "ranges"];
function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }
function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) arr2[i] = arr[i]; return arr2; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }
function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }
function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }
import React, { forwardRef, useState } from 'react';

// 内库使用-start
import LocaleUtil from "./../../../utils/LocaleUtil";
import Toast from "./../../Toast";
import DatePicker from "./../../DatePicker";
// 内库使用-end

/* 测试使用-start
import { LocaleUtil, Toast, DatePicker } from 'seedsui-react'
测试使用-end */

var getDefaultRanges = DatePicker.getDefaultRanges;
var DateRangeBar = function DateRangeBar(_ref, ref) {
  var portal = _ref.portal,
    title = _ref.title,
    _ref$arrow = _ref.arrow,
    arrow = _ref$arrow === void 0 ? /*#__PURE__*/React.createElement("i", {
      className: "toolbar-list-combo-arrow"
    }) : _ref$arrow,
    ranges = _ref.ranges,
    props = _objectWithoutProperties(_ref, _excluded);
  if (ranges === undefined) {
    // eslint-disable-next-line
    ranges = getDefaultRanges();
  }
  var _useState = useState(false),
    _useState2 = _slicedToArray(_useState, 2),
    active = _useState2[0],
    setActive = _useState2[1];
  return /*#__PURE__*/React.createElement(DatePicker.RangeCombo, _extends({
    ref: ref,
    portal: portal,
    ranges: ranges,
    titles: {
      custom: LocaleUtil.locale('自定义选择', 'SeedsUI_date_range_custom_title'),
      selector: LocaleUtil.locale('快捷选择', 'SeedsUI_date_range_selector_title')
    },
    className: "toolbar-list-combo".concat(active ? ' active' : ''),
    onVisibleChange: function onVisibleChange(visible) {
      var _props$onBeforeChange, _ref$current, _ref$current$closest;
      (props === null || props === void 0 ? void 0 : props.onBeforeChange) && (props === null || props === void 0 || (_props$onBeforeChange = props.onBeforeChange) === null || _props$onBeforeChange === void 0 ? void 0 : _props$onBeforeChange.call(props, visible));
      var toolbarDOM = (_ref$current = ref.current) === null || _ref$current === void 0 || (_ref$current = _ref$current.comboDOM) === null || _ref$current === void 0 || (_ref$current$closest = _ref$current.closest) === null || _ref$current$closest === void 0 ? void 0 : _ref$current$closest.call(_ref$current, '.toolbar');
      if (!toolbarDOM) return;
      if (visible) {
        toolbarDOM.classList.add('active');
      } else {
        toolbarDOM.classList.remove('active');
      }
    }
    // 自定义渲染
    ,
    combo: function combo(_ref2) {
      var id = _ref2.id,
        style = _ref2.style,
        className = _ref2.className,
        displayValue = _ref2.displayValue,
        onClick = _ref2.onClick,
        comboRef = _ref2.comboRef;
      return /*#__PURE__*/React.createElement("div", {
        id: id,
        style: style,
        className: className,
        onClick: onClick,
        ref: comboRef
      }, /*#__PURE__*/React.createElement("span", {
        className: "toolbar-list-combo-title"
      }, title || displayValue || LocaleUtil.locale('自定义区间', 'SeedsUI_toolbar_date_range_default_display_value')), arrow);
    },
    modalProps: {
      maskProps: {
        className: 'toolbar-list-modal-mask',
        style: {
          zIndex: 99
        }
      },
      onVisibleChange: function onVisibleChange(visible) {
        setActive(visible);
      }
    },
    onError: function onError(err) {
      return Toast.show({
        content: err.errMsg || '',
        maskClickable: true
      });
    }
  }, props));
};
export default /*#__PURE__*/forwardRef(DateRangeBar);